package com.jln.system.web.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Profile;
import springfox.documentation.builders.ApiInfoBuilder;
import springfox.documentation.builders.PathSelectors;
import springfox.documentation.builders.RequestHandlerSelectors;
import springfox.documentation.service.ApiInfo;
import springfox.documentation.service.Contact;
import springfox.documentation.spi.DocumentationType;
import springfox.documentation.spring.web.plugins.Docket;
import springfox.documentation.swagger2.annotations.EnableSwagger2;

@Configuration
@EnableSwagger2
@Profile({"dev","master"})
public class SwaggerConfig {

    @Bean("mqttservice")
    public Docket createRestApimqtt() {
        return new Docket(DocumentationType.SWAGGER_2)
                .groupName("mqtt")
                .apiInfo(apiInfo())
                .select()
                .apis(RequestHandlerSelectors.basePackage("com.jln.system"))
                //.paths(PathSelectors.regex("*"))
                .paths(PathSelectors.regex("/mqtt.*"))
                .build();
    }
    private ApiInfo apiInfo() {
        return new ApiInfoBuilder()
                .title("Spring Boot")
                .contact(new Contact("Bryan", "http://blog.bianxh.top/", ""))
                .version("1.0")
                .description("API")
                .build();
    }
}
